#
# spec file for package ghc-hsdns
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global pkg_name hsdns
Name:           ghc-%{pkg_name}
Version:        1.7.1
Release:        3.9
Summary:        Asynchronous DNS Resolver
License:        LGPL-3.0-or-later
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-network-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  libadns-devel

%description
This library provides an asynchronous DNS resolver on top of GNU ADNS
<http://www.chiark.greenend.org.uk/~ian/adns/>. Not all options are supported,
but A, MX, and PTR lookups work nicely. There is also support for retrieving
generic RR types, CNAMEs, and for NSEC zone walking. The library can be
expected to work with fine ADNS 1.4 or later. It might also work with version
ADNS 1.3, but that hasn't been tested.

The example program adns-reverse-lookup.hs demonstrates how the resolver is
used. Given a list of host names on the command line, it performs an A/PTR
double-lookup and checks whether the records are consistent. The output is
printed in the order in which the DNS responses arrive:

> $ ./adns-reverse-lookup cryp.to localhost www.example.com > OK: localhost <->
127.0.0.1 > FAIL: cryp.to -> 217.19.183.102 -> ["zuse.cryp.to"] > OK:
www.example.com <-> 192.0.32.10.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires:       libadns-devel
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%license COPYING.LESSER

%files devel -f %{name}-devel.files

%changelog
* Tue Jul 10 2018 psimons@suse.com
- Add hsdns at version 1.7.1.
